Subject: Re: [PATCH 3/3] [PPP] L2TP: Fix skb handling in pppol2tp_xmit

From: Adrian Bunk <[email-masked]>
Date: Thu, 20 Sep 2007 01:11:14 +0200

On Wed, Sep 19, 2007 at 10:45:13AM -0700, David Miller wrote:
> From: Herbert Xu <[email-masked]>
> Date: Wed, 19 Sep 2007 09:30:18 +0800
> 
> > [PPP] pppoe: Fix double-free on skb after transmit failure
> > 
> > When I got rid of the second packet in __pppoe_xmit I created
> > a double-free on the skb because of the goto abort on failure.
> > This patch removes that.
> > 
> > Signed-off-by: Herbert Xu <[email-masked]>
> 
> Applied.

Please excuse in case this was already clear, but since this regression 
made it into Linus' tree it should be fixed there before 2.6.23.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed